# geos::operation::buffer::OffsetCurveVertexList Class Reference

A list of the vertices in a constructed offset curve. More...

`#include <OffsetCurveVertexList.h>`

List of all members.

## Public Member Functions

void | setPrecisionModel (const geom::PrecisionModel *nPrecisionModel)
void | setMinimumVertexDistance (double nMinVertexDistance)
void | addPt (const geom::Coordinate &pt)
void | closeRing ()
| Check that points are a ring.
geom::CoordinateSequence * | getCoordinates ()
| Get coordinates by taking ownership of them.
int | size () const

## Friends

std::ostream & | operator<< (std::ostream &os, const OffsetCurveVertexList &node)

## Detailed Description

A list of the vertices in a constructed offset curve.

Automatically removes close adjacent vertices.

## Member Function Documentation

void geos::operation::buffer::OffsetCurveVertexList::closeRing | ( | ) | `[inline]`

Check that points are a ring.

add the startpoint again if they are not

References geos::geom::CoordinateSequence::add(), geos::geom::CoordinateSequence::back(), geos::geom::Coordinate::equals(), and geos::geom::CoordinateSequence::front().

Referenced by getCoordinates().

geom::CoordinateSequence* geos::operation::buffer::OffsetCurveVertexList::getCoordinates | ( | void | ) | `[inline]`

Get coordinates by taking ownership of them.

After this call, the coordinates reference in this object are dropped. Calling twice will segfault...

FIXME: refactor memory management of this

References closeRing().

The documentation for this class was generated from the following file:

- OffsetCurveVertexList.h